<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

	<div class="row-fluid">
		<div class="span12">
			<h:outputLabel value="Item desejo" />
			<h:inputText value="#{dashboardController.item.nome}" />
		</div>
		
		<div class="span12">
			<h:outputLabel value="Valor"  />
			<h:inputText value="#{dashboardController.item.valor}" styleClass="currency input-small">
				<f:convertNumber type="currency" locale="pt_BR" maxFractionDigits="2" 
					minFractionDigits="2" />
			</h:inputText>
		</div>
		
		<div class="span12">
			<h:outputLabel value="Status" />
			<h:selectOneMenu value="#{dashboardController.item.status}" converter="enumConverter" >
				<f:selectItem itemValue="#{null}" itemLabel="Selecione"/>
				<f:selectItems value="#{colecoesController.statusItensDesejados}" var="st" itemLabel="#{st.label}" itemValue="#{st}" />
			</h:selectOneMenu>
		</div>
		
		<div class="span12">
			<div class="row-fluid">
				<div class="span6">
					<h:commandButton value="Salvar" styleClass="btn btn-info"
						action="#{dashboardController.adicionaItem()}" 
						 title="Salvar o item de desejo"/>
				</div>
				<div class="span6">
					<h:commandButton value="Cancelar" styleClass="btn btn-info" action="#{dashboardController.cancelarItemDesejo()}" />
				</div>
			</div>
		</div>

	</div>

</html>